<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\api\controller\bargain;

use app\api\controller\Base;
use think\Db;
use app\common\model\bbfxshop\User;


class Order extends Base
{
    protected $noNeedLogin = [];
    protected $noNeedRight = ['*'];

    public function confirm(){
        $params = $this->param();
        $user = $this->user;
        $params['user_id'] = $user['id'];
        $params['user'] = $user;
        $params['create_type'] = 3;

        $result = \app\common\model\bbfxshop\OrderCreate::confirm($params);

        __result($result);
    }

    public function submit(){
        $params = $this->param();
        $user = $this->user;
        $params['user_id'] = $user['id'];
        $params['user'] = $user;
        
        $params['create_type'] = 3;

        $result = \app\common\model\bbfxshop\OrderCreate::create($params);

        __result($result);
    }
}